<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
  <title>Đăng tin tuyển dụng</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796798/logo_icon/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="IE=edge" http-equiv="X-UA-Compatible">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <script crossorigin="anonymous" src="https://kit.fontawesome.com/1ee5e3b648.js"></script>
  <script async crossorigin="anonymous" defer
          nonce="QeM3LVxY"
          src="https://connect.facebook.net/vi_VN/sdk.js#xfbml=1&version=v10.0"></script>
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.gstatic.com" rel="preconnect"/>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.gstatic.com" rel="preconnect"/>
  <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@800&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&display=swap"
        rel="stylesheet"/>
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x"
        rel="stylesheet"/>
  <link href="https://emoji-css.afeld.me/emoji.css" rel="stylesheet">

  <!--file CSS-->
  <link href="/static/UserPostingJob.css" rel="stylesheet" type="text/css"/>
</head>

<body>
<div>
  <nav class="navbar navbar-expand-lg navbar-light  position-sticky d-block"
       style="top: 0;margin: 0;padding: 0;z-index: 999;box-shadow: rgba(50, 50, 93, 0.25) 0 2px 5px -1px, rgba(0, 0, 0, 0.3) 0 1px 3px -1px;">
    <div class="container-fluid" id="menu">
      <div class="container d-flex justify-content-evenly">
        <a class="navbar-brand" href="/" id="imglogo"><img
            alt=""
            src="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796806/logo_icon/logo_ACT.png"
            style="width: 120%;"></a>
        <div class="d-flex align-items-center" id="menu1" style="margin-left: 1rem">
          <ul class="navbar-nav me-auto mb-1 mb-lg-0" id="dame">
            <li class="nav-item"><a class="nav-link" href="/">Trang chủ</a></li>
            <li class="nav-item"><a class="nav-link" href="/user/introduce-act">Giới thiệu</a></li>
            <li class="nav-item dropdown">
              <a class="nav-link" href="/user/list-course/page/1" id="navbarDropdown">Khóa học</a>
              <div class="dropdown-content shadow-sm mb-2 bg-white"
                   style="border-top: 2px solid black;">
                <a class="dropdown-item"
                   th:href="@{/user/list-course/{type}/page/1 (type = 'Programming')}"><i
                    class="fas fa-laptop-code"></i> Lập trình</a>
                <a class="dropdown-item"
                   th:href="@{/user/list-course/{type}/page/1 (type = 'Netword')}"><i
                    class="fas fa-network-wired"></i> Mạng máy tính</a>
              </div>
            </li>
            <li class="nav-item"><a class="nav-link" href="/user/list-news/page/1">Tin tức</a></li>
            <li class="nav-item"><a class="nav-link" href="/user/register?classId=0">Đăng ký học</a>
            </li>
            <li class="nav-item"><a class="nav-link" href="/user/list-job/page/1">Tuyển dụng</a>
            </li>
            <li class="nav-item"><a class="nav-link" href="http://thuvienso.actvn.edu.vn/">Tài
              liệu</a></li>
          </ul>
        </div>
        <form class="d-flex" id="tim-kiem" method="get"
              th:action="@{/user/search/type/course/page/1}"
              th:object="${search}">
          <label>
            <input class="form-control" placeholder="Tìm kiếm" th:field="*{content}" type="text">
          </label>
          <button class="nav-link" id="menu-search"
                  style="margin: auto auto auto 1rem;height: 0; border: none; outline: none; padding: 0"
                  type="submit">
            <i class="fas fa-search" style="font-size: 13px;float:right;color: black;"></i></button>
        </form>
      </div>
    </div>

    <div class="container-fluid" id="imgmenu"
         style="top: 0;margin: 0;padding: 0;z-index: 999;background: white;">
      <div class="container">
        <div class="d-flex" id="iconmenu" style="justify-content: space-between;">
          <div style="margin-top: 20px;">
            <a aria-controls="menu2" aria-expanded="false" data-toggle="collapse" href="#menu2">
              <img
                  alt=""
                  src="https://res.cloudinary.com/dralhpdiv/image/upload/v1649738069/logo_icon/icon_small_menu.jpg"
                  style="width: 50%;border-radius: 50%;border: 1px solid #100f1f;padding: 5px;">
            </a>
          </div>
          <a class="navbar-brand" href="/"><img
              alt=""
              src="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796806/logo_icon/logo_ACT.png"
              style="width: 150px;"></a>
        </div>
      </div>
    </div>
    <div class="collapse position-sticky" id="menu2"
         style="position: absolute;z-index: 999;background: white;">
      <ul>
        <li class="nav-item"><a class="nav-link" href="/">Trang chủ</a></li>
        <li class="nav-item"><a class="nav-link" href="/user/introduce-act">Giới thiệu</a></li>
        <li class="nav-item dropdown">
          <a class="nav-link" href="/user/list-course/page/1" id="navbarDropdown">Khóa học</a>
        </li>
        <li class="nav-item"><a class="nav-link" href="/user/list-news/page/1">Tin tức</a></li>
        <li class="nav-item"><a class="nav-link" href="/user/register?classId=0">Đăng ký học</a>
        </li>
        <li class="nav-item"><a class="nav-link" href="/user/list-job/page/1">Tuyển dụng</a></li>
        <li class="nav-item"><a class="nav-link" href="http://thuvienso.actvn.edu.vn/">Tài liệu</a>
        </li>
        <li class="nav-item">
          <div class="d-flex">
            <a class="nav-link" href="" id="menu-search">
              <i class="fas fa-search"
                 style="margin-top: 0;font-size: 15px;position: relative;"></i>
            </a>
            <input
                aria-describedby="basic-addon1"
                aria-label=""
                class="form-control"
                placeholder="Tìm kiếm"
                style="border: none;border-radius: 20px;background: #f5f5f5;margin-right: 10px;height: 40px;margin-left: -40px;padding-left: 40px;"
                type="text"
            />
          </div>
        </li>
      </ul>
    </div>
  </nav>

  <div class="text-center">
    <video autoplay loop muted preload style="width: 100%">
      <source
          th:src="${video_banner}"
          type="video/mp4">
    </video>
  </div>

  <div id="dangtintuyendung">
    <div class="container">
      <div style="margin-top: 1rem">
        <h1 style="font-size: 24px; ; font-weight: 600; text-transform: uppercase">
          Đăng tin tuyển dụng</h1>
      </div>
      <hr>
      <p>
        Song song với việc đào tạo các khóa học chất lượng cao và được giúp đỡ các học việc tiềm,
        năng
        ưu tú.<br>
        Học viện Công nghệ thông tin ACT rất hân hạnh và vinh dự được cộng tác cùng với các công ty
        trong và ngoài nước.<br>
        Nếu quý công ty muốn đăng tin tuyển dụng trên Website bên Học viên thì xin điền đầy đủ thông
        tin dưới đây.
      </p>
      <p style="color: red; margin-bottom: 0">Lưu ý:</p>
      <ol style="color: red">
        <li style="font-family: 'Roboto', sans-serif">Hãy ghi rõ thông tin liên hệ với Công ty để
          ứng viên có thể dễ dàng liên hệ.
        </li>
        <li style="font-family: 'Roboto', sans-serif">
          Mật khẩu sẽ được sử dụng trong trường hợp quý công ty muốn chỉnh sửa hoặc gỡ bỏ tin tuyển
          dụng đã đăng.
        </li>
        <li style="font-family: 'Roboto', sans-serif">Để đảm bảo tính bảo mật thông tin ứng viên,
          Học viện sẽ không tiếp nhận thông tin trung gian, ứng viên sẽ phải tự liên hệ trực tiếp
          với phía công ty.
        </li>
        <li style="font-family: 'Roboto', sans-serif">Trong trường hợp thấy thông tin tuyển dụng mà
          quý Công ty đăng lên không hợp lệ về mặt thông tin hoặc pháp luật, phía Học viện sẽ có
          quyền
          gỡ xuống bất kì lúc nào.
        </li>
        <li style="font-family: 'Roboto', sans-serif">
          Mọi thắc mắc cần hỗ trợ trong quá trình đăng tin, chỉnh sửa tin tuyển dụng đã đăng xin hãy
          liên hệ ngay với bộ phận Admin của Webstie
        </li>
      </ol>
      <hr>
      <form enctype="multipart/form-data" id="inputJob" method="post"
            th:action="@{/user/create-job}"
            th:object="${job}">
        <div id="generalInformation">
          <div class="row" style="font-size: 18px">
            <div class="col-md-5 d-flex flex-column justify-content-center align-items-center">
              <div id="img-preview"></div>
              <input accept="image/*" id="choose-file" name="choose-file" th:field="*{file}"
                     type="file"/>
              <label for="choose-file" style="margin-bottom: 1.5rem">Chọn ảnh</label>
            </div>
            <div class="col-md-7">
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobName"
                       style="font-weight: bold">Tên:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control" id="jobName"
                         placeholder="Tuyển dụng vị trí X của công ty Y" th:field="*{name}"
                         type="text">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobType" style="font-weight: bold">
                  Phân loại:
                </label>
                <div class="col-sm-3">
                  <select class="form-control" id="jobType" name="course" style="width: fit-content"
                          th:field="*{type}">
                    <option th:value="Programming">Lập trình</option>
                    <option th:value="Network">Mạng</option>
                  </select>
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobContact"
                       style="font-weight: bold">Người liên lạc:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control" id="jobContact" placeholder="Quản lý Nguyễn Tiến A"
                         th:field="*{contact}" type="text">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobPhone"
                       style="font-weight: bold">Số điện thoại:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control" id="jobPhone" placeholder="0964 952 889"
                         th:field="*{phone}" type="text">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobEmail"
                       style="font-weight: bold">Email:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control" id="jobEmail"
                         placeholder="tranhuong@hocvienact.edu.vn" th:field="*{email}" type="text">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobAddress"
                       style="font-weight: bold">Địa chỉ:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control"
                         id="jobAddress"
                         placeholder="141 Chiến Thắng - Tân Triều - Thanh Trì - Hà Nội"
                         th:field="*{address}" type="text">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobAddress"
                       style="font-weight: bold">Mật khẩu:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control"
                         id="jobPassword"
                         placeholder="Ít nhất 8 ký tự có đầy đủ chữ thường, chữ in hoa, số và ký tự đặc biệt"
                         th:field="*{password}" type="password">
                </div>
              </div>
              <div class="mb-3 row">
                <label class="col-sm-3 col-form-label" for="jobAddress"
                       style="font-weight: bold">Nhập lại mật khẩu:</label>
                <div class="col-sm-6" style="width: 75%">
                  <input class="form-control" id="jobRePassword" type="password">
                </div>
              </div>
              <div class="mb-3">
                <label class="form-label" for="jobDesc" style="font-weight: bold">Mô tả:</label>
                <textarea class="form-control" id="jobDesc" rows="3" style="resize: none"
                          th:field="*{desc}"></textarea>
              </div>
            </div>
          </div>
        </div>
        <div id="contentCourse">
          <textarea class="form-control" id="jobContent" th:field="*{content}"></textarea>
        </div>
        <div class="d-flex justify-content-evenly" style="margin-top: 1rem; text-align: center">
          <button class="btn btn-primary" style="padding: 10px 30px; font-size: 18px" type="reset">
            Nhập lại
          </button>
          <button class="btn btn-primary" onclick="submitForm()"
                  style="padding: 10px 30px; font-size: 18px"
                  type="submit">Xác nhận
          </button>
        </div>
      </form>
    </div>
  </div>

  <div class="container-fluid"
       style="background: #100f1f;margin-top: 50px;border-top: 2px solid #1877f2;">
    <div class="container" id="footer">
      <div class="row">
        <div class="col-md-4">
          <div class="info">
            <div class="dc">
              <h5 style="font-size: 18px;color: #1877f2;line-height: 1;text-transform: uppercase;">
                Thông tin
              </h5>
              <div class="dchi">
                <i class="fas fa-map-marker-alt" style="margin-right: 15px;"></i>
                <span>
                  Phòng 401 - Nhà TA4- Học viện Kỹ thuật Mật Mã <br> 141 Chiến Thắng - Tân Triều - Thanh Trì - Hà Nội.
              </span>
              </div>
              <div class="email">
                <i class="fas fa-envelope" style="margin-right: 15px;"></i>
                <span>
                  <span style="color: #1877f2; font-size: 14px;">Email: </span>
                  <span style="font-size: 14px;" th:text="${admin.email}"></span>
                </span>
              </div>
              <div class="phone" style="margin-bottom: 20px;">
                <i class="fas fa-phone-alt" style="margin-right: 15px;"></i>
                <span>
                  <span style="color: #1877f2; font-size: 14px;">Liên hệ: </span>
                  <span style="font-size: 14px;" th:text="${admin.phone}"></span>
                </span>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-2" style="margin: 0 auto;">
          <h5 style="font-size: 18px;color: #1877f2;line-height: 1">LIÊN KẾT</h5>
          <ul id="lienket" style="margin-left: -30px; list-style: none">
            <li style="padding-bottom: 5px">
              <a href="/user/introduce-act">
                <i class="fas fa-caret-right"></i>
                <span>Giới thiệu</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-course/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Khóa học</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-news/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Tin tức</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/register?classId=0">
                <i class="fas fa-caret-right"></i>
                <span> Đăng ký học</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-job/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Tuyển dụng</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="http://thuvienso.actvn.edu.vn">
                <i class="fas fa-caret-right"></i>
                <span>Tài liệu</span>
              </a>
            </li>
          </ul>
        </div>
        <div class="col-md-2">
          <h5 style="font-size: 18px;color: #1877f2;line-height: 1">LIÊN HỆ</h5>
          <ul id="media" style="margin-left: -30px">
            <li style="list-style-type: none">
              <a href="https://www.facebook.com/HocVienAct">
                <i class="fab fa-facebook-square"></i>
                <span>Fanpage</span>
              </a>
            </li>
            <li style="list-style-type: none">
              <a href="https://www.youtube.com/channel/UCRTuKA5T7NbYMClnqJvOgDQ"><i
                  class="fab fa-youtube"></i>
                <span>Youtube</span></a>
            </li>
          </ul>
        </div>
        <div class="col-md-4 d-flex justify-content-between align-items-center">
          <div class="fb-page"
               data-hide-cover="false"
               data-href="https://www.facebook.com/HocVienAct/"
               data-show-facepile="true"></div>
        </div>
      </div>
      <div style="color: #f5f5f5;">
        <i class="far fa-copyright"></i>
        <span style="font-size: 14px;">Copyright by ACTACAD 2021. All Rights Reserved</span>
      </div>
    </div>
  </div>

  <div id="fb-root"></div>
  <div class="fb-customerchat" id="fb-customer-chat"></div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script crossorigin="anonymous"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT"
        src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js"></script>
<script
    referrerpolicy="origin"
    src="https://cdn.tiny.cloud/1/e2wedt2tvkp3ua3z06h11jkaw8beqirx03trciocxlnsjsmh/tinymce/5/tinymce.min.js">
</script>
<script th:inline="javascript">
  const chooseFile = document.getElementById("choose-file");
  const imgPreview = document.getElementById("img-preview");

  chooseFile.addEventListener("change", function () {
    getImgData();
  });

  function getImgData() {
    const files = chooseFile.files[0];
    if (files) {
      const fileReader = new FileReader();
      fileReader.readAsDataURL(files);
      fileReader.addEventListener("load", function () {
        imgPreview.style.display = "block";
        imgPreview.innerHTML = '<img src="' + this.result + '"  alt=""/>';
      });
    }
  }

  var useDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;
  tinymce.init({
    selector: '#jobContent',
    plugins: 'preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
    imagetools_cors_hosts: ['picsum.photos'],
    menubar: 'file edit view insert format tools table help',
    toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
    toolbar_sticky: true,
    autosave_ask_before_unload: true,
    autosave_interval: '30s',
    autosave_prefix: '{path}{query}-{id}-',
    autosave_restore_when_empty: false,
    autosave_retention: '2m',
    image_advtab: true,
    importcss_append: true,
    file_picker_callback: function (callback, value, meta) {
      /* Provide file and text for the link dialog */
      if (meta.filetype === 'file') {
        callback('https://www.google.com/logos/google.jpg', {text: 'My text'});
      }

      /* Provide image and alt text for the image dialog */
      if (meta.filetype === 'image') {
        callback('https://www.google.com/logos/google.jpg', {alt: 'My alt text'});
      }

      /* Provide alternative source and posted for the media dialog */
      if (meta.filetype === 'media') {
        callback('movie.mp4',
            {source2: 'alt.ogg', poster: 'https://www.google.com/logos/google.jpg'});
      }
    },
    template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
    template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
    height: 600,
    image_caption: true,
    quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
    noneditable_noneditable_class: 'mceNonEditable',
    toolbar_mode: 'sliding',
    contextmenu: 'link image imagetools table',
    skin: useDarkMode ? 'oxide-dark' : 'oxide',
    content_css: useDarkMode ? 'dark' : 'default',
    content_style: 'body { font-family: Roboto,sans-serif; font-size:14px; }'
  });

  const rePassword = /^(?=.*?[A-Z])(?=(.*[a-z]){1,})(?=(.*[\d]){1,})(?=(.*[\W]){1,})(?!.*\s).{8,}$/;

  function isEmpty(string) {
    return string === "";
  }

  function submitForm() {
    const myContent = tinymce.get("jobContent").getContent();
    if (isEmpty($("#jobName").val()) || isEmpty($("#jobContact").val()) || isEmpty(
            $("#jobPhone").val()) || isEmpty($("#jobEmail").val()) || isEmpty($("#jobDesc").val())
        || isEmpty(myContent)) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        html: '<p style="font-family: Roboto, sans-serif">Thông tin bạn nhập không hợp lệ !</p>'
            + '<span style="font-family: Roboto, sans-serif">Xin hãy kiểm tra kĩ lại thông tin bạn nhập</span>',
        showConfirmButton: false,
        showCloseButton: true
      });
    } else if (isEmpty($("#jobPassword").val()) || !rePassword.test($("#jobPassword").val())) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        html: '<p style="font-family: Roboto, sans-serif">Mật khẩu không hợp lệ !</p>'
            + '<span style="font-family: Roboto, sans-serif">Xin hãy kiểm tra kĩ lại mật khẩu bạn nhập</span>',
        showConfirmButton: false,
        showCloseButton: true
      });
    } else if ($("#jobPassword").val() != $("#jobRePassword").val()) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        html: '<p style="font-family: Roboto, sans-serif">Nhập lại mật khẩu không đúng !</p>'
            + '<span style="font-family: Roboto, sans-serif">Xin hãy kiểm tra kĩ lại thông tin bạn nhập</span>',
        showConfirmButton: false,
        showCloseButton: true
      });
    }
  }
</script>
<script>
  var chatbox = document.getElementById('fb-customer-chat');
  chatbox.setAttribute("page_id", "157477641048261");
  chatbox.setAttribute("attribution", "biz_inbox");
</script>
<script>
  window.fbAsyncInit = function () {
    FB.init({
      xfbml: true,
      version: 'v13.0'
    });
  };

  (function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) {
      return;
    }
    js = d.createElement(s);
    js.id = id;
    js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));
</script>
</body>

</html>